Update Vendor Item Record

Prev Next
Patch
/po-rest-api/rest/1/vendorItem/{vuuid}

Overview

This endpoint updates selected fields of a vendor item identified by its UUID.

Only the fields provided in the request payload are updated; all other attributes remain unchanged.

Notes

  • Authentication and authorization are required.

  • Partial updates are supported.

  • Only specific fields are allowed to be updated.

  • Providing unsupported or read-only attributes will result in a 400 Bad Request error.

UI Navigation

Asset Management → Purchase Orders → Setup -> Local Tables -> Items by Vendor

Finders

Not applicable.

This is a PATCH (update) endpoint and does not support finders.

Path Parameters

Parameter Description Type Required
vuuid Unique Identifier (UUID) String True

Query Standards

Not applicable.

This endpoint does not support finder, limit, offset, or orderBy.


Finders with Example

Not applicable.

Finders are not supported for PATCH operations.


Attributes

The following attributes may be returned in the response

Only attributes marked as Updatable = True can be updated via this endpoint

CMiC UI Fieldname Object Name Description Type Data Length Example Updatable
VenitmCompCode vendorItem VenitmCompCode Company String 8 ALT False
VenitmInvItemFlag vendorItem VenitmInvItemFlag Item Flag Y-Inventory Item, N-Non Stock Item String 1 Y True
VenitmVenCode vendorItem VenitmVenCode Vendor String 8 1-URBAN True
VenitmItemClassCode vendorItem VenitmItemClassCode Class from DA.CICLASS String 4 PNT True
VenitmItmCode vendorItem VenitmItmCode Item Code String 16 2X4 WOOD PLANK True
VenitmItmName vendorItem VenitmItmName Item Name String 60 2x4 Wood Planks - Rough Finish False
VenitmItmtypCode vendorItem VenitmItmtypCode Item Type: Can be a specific inventory item type, '*' for all inventory item types, or 'NA' for non-stock items String 2 ST True
VenitmCode vendorItem VenitmCode Vendor Defined Code String 16 BRICKS True
VenitmLastBuyDate vendorItem VenitmLastBuyDate Last Order Date Updated with PO_DATE when posting PO String N/A 2020-04-24 00:00:00 True
VenitmLastBuyQty vendorItem VenitmLastBuyQty Last Quantity Updated when posting PO Number 16/8 5.0 True
VenitmWmCode vendorItem VenitmWmCode WM String 2 GL True
VenitmLstPriceAmt vendorItem VenitmLstPriceAmt Lst Price Updated when posting PO Number 18/4 10.0 True
VenitmMinOrdQty vendorItem VenitmMinOrdQty Minimum Quantity Number 16/8 1000.0 True
VenitmDesc vendorItem VenitmDesc Miscellaneous Notes String 2000 Vendor Item List True
VenitmStatCode vendorItem VenitmStatCode Stat Code String 1 I True
VenitmAvgPriceAmt vendorItem VenitmAvgPriceAmt Avg Price Amt Number 18/4 10.0000 True
VenitmAvgDeliveryDays vendorItem VenitmAvgDeliveryDays Avg Delivery Days Number 8/0 9 True
VenitmDeptCode vendorItem VenitmDeptCode Department String 6 00 True
VenitmItemDesc vendorItem VenitmItemDesc Vendor Item Description String 4000 Testing new item True
VenitmIuCreateDate vendorItem VenitmIuCreateDate Record Creation Date Date N/A System Generated False
VenitmIuCreateUser vendorItem VenitmIuCreateUser Record Creator User String 30 System User False
VenitmIuUpdateDate vendorItem VenitmIuUpdateDate Record Last Update Date Date N/A System Generated False
VenitmIuUpdateUser vendorItem VenitmIuUpdateUser Record Last Updated By String 30 System User False
VenitmVUuid vendorItem VenitmVUuid Unique UUID for Vendor Item record String 64 Generated False
Security
HTTP
Type basic

Basic authentication

Path parameters
vuuid
stringRequired
Body parameters
object
Example{ "VenitmDesc": "Testing new API" }
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourceitem+json
"{\n    \"VenitmCompCode\": \"ZZ\",\n    \"VenitmInvItemFlag\": \"Y\",\n    \"VenitmVenCode\": \"ABSCONT\",\n    \"VenitmItemClassCode\": \"PNT\",\n    \"VenitmItmCode\": \"5033015\",\n    \"VenitmItmName\": \"SR Ultra Prime White Paint Load abcdefghijklmnopqrstuvwxyz 0\",\n    \"VenitmItmtypCode\": \"2\",\n    \"VenitmCode\": null,\n    \"VenitmLastBuyDate\": \"2018-06-19T15:01:57-04:00\",\n    \"VenitmLastBuyQty\": 5,\n    \"VenitmWmCode\": \"GL\",\n    \"VenitmLstPriceAmt\": 0,\n    \"VenitmMinOrdQty\": null,\n    \"VenitmDesc\": \"Testing new API\",\n    \"VenitmStatCode\": null,\n    \"VenitmAvgPriceAmt\": null,\n    \"VenitmAvgDeliveryDays\": null,\n    \"VenitmDeptCode\": null,\n    \"VenitmIuCreateDate\": \"2010-02-23T14:44:34-05:00\",\n    \"VenitmIuUpdateDate\": \"2026-06-09T13:47:32-04:00\",\n    \"VenitmVUuid\": \"508FD9C766225106E0630B811DACDB45\",\n    \"VenitmItemDesc\": null,\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/vendorItem/508FD9C766225106E0630B811DACDB45\",\n            \"name\": \"vendorItem\",\n            \"kind\": \"item\"\n        },\n        {\n            \"rel\": \"canonical\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/vendorItem/508FD9C766225106E0630B811DACDB45\",\n            \"name\": \"vendorItem\",\n            \"kind\": \"item\"\n        }\n    ]\n}"
string
Copyright © 2024 CMiC All Rights Reserved